Skip to main content
POST
/
v1
/
agents
/
{agent_id}
/
harness
/
changes
/
{change_id}
:revert
Revert a harness change
curl --request POST \
  --url https://api.usezombie.com/v1/agents/{agent_id}/harness/changes/{change_id}:revert \
  --header 'Authorization: Bearer <token>'
{
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "proposal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "change_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reverted_from": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "config_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "applied_by": "<string>",
  "applied_at": "2023-11-07T05:31:56Z",
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth

Path Parameters

agent_id
string<uuid>
required

Agent identifier

change_id
string<uuid>
required

Change identifier to revert

Response

Change reverted

agent_id
string<uuid>
required
proposal_id
string<uuid>
required

Proposal that originally produced this change

change_id
string<uuid>
required

The change that was reverted

reverted_from
string<uuid>
required

Config version that contained the change

config_version_id
string<uuid>
required

New config version after revert

status
string
required
Allowed value: "APPLIED"
applied_by
string
required

Identity that performed the revert

applied_at
string<date-time>
required

Timestamp of the revert

request_id
string<uuid>
required